Page MenuHomePhabricator

Image Size Filter on Media Search
Closed, ResolvedPublic

Description

We are interested in seeing how users interact with filters and more particularly an image size filter to see if that is something that is useful to them. It sounds like the only way to do this currently is based on file size which could be an acceptable proxy for research.

COVID-19 Deployment Criteria

  • Can you roll back this change without lasting impact?
    1. A recovery plan is required as this will help identify our capacity for recovering from the failure
    2. THIS IS A KEY QUESTION, if you can’t answer it, you shouldn’t deploy
  • Is specialized knowledge required to support this change in production? If so, are there multiple people with this knowledge?
  • Is there a way to increase confidence about the correctness of this change?
    1. Reviews (Design, Code, etc)
    2. Testing coverage (unit tests, integration tests)
    3. Manual testing (e.g. Beta, vagrant, docker)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2020, 5:33 PM
CBogen renamed this task from Image Size Filter to Image Size Filter on Media Search.Apr 20 2020, 5:36 PM
CBogen assigned this task to matthiasmullie.

It sounds like the only way to do this currently is based on file size which could be an acceptable proxy for research.

It's currently possibly to filter by width/height with Advanced Search once you choose to filter by an image or video format

CBogen updated the task description. (Show Details)Apr 28 2020, 3:01 PM

Chatted with Matthias and he confirmed we could do it by width/height. We are going to start with "Small, Medium, Large" and see how that feels.

Change 593244 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] [WIP] Image size filter

https://gerrit.wikimedia.org/r/593244

Change 593244 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Image size filter

https://gerrit.wikimedia.org/r/593244

Ramsey-WMF closed this task as Resolved.May 7 2020, 7:45 PM

Small, Medium, and Large is up on production